> For the complete documentation index, see [llms.txt](https://docs.tomorrowx.com/cap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tomorrowx.com/cap/product-reference/installation-and-configuration/monitoring-by-external-systems.md).

# Monitoring by External Systems

If you have a need to monitor the <code class="expression">space.vars.X\_Product\_Name</code> engine using an external monitoring service, you can include the following line of code in your application status page to determine if the <code class="expression">space.vars.X\_Product\_Name</code> engine is active:

```java
software.tomorrow.server.Engine.isStarted()
```

For example: The following JSP construct will result in a page that outputs true or false, depending on whether the engine is started or not:

{% code overflow="wrap" %}

```html
<html>
  <head>
    <title><code class="expression">space.vars.X_Product_Name</code> Status</title>
  </head>
  <% // Make sure there is no caching response.setHeader("Pragma", "No-cache");
  response.setDateHeader("Expires", 0); response.setHeader("Cache-Control",
  "private"); response.setHeader("Cache-Control", "no-cache");
  response.setHeader("Cache-Control", "must-revalidate");
  response.setHeader("Expires", "Mon, 26 Jul 1997 00:00:00 GMT"); %>
  <body>
    <code class="expression">space.vars.X_Product_Name</code> is
    started:&nbsp;<%=software.tomorrow.server.Engine.isStarted()%>
  </body>
</html>
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tomorrowx.com/cap/product-reference/installation-and-configuration/monitoring-by-external-systems.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
